Package org.apache.groovy.util

# Class Closures.ConsumerClosure<T>

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.Closure<Void>
org.apache.groovy.util.Closures.ConsumerClosure<T>

All Implemented Interfaces:
  `GroovyCallable<Void>`, `GroovyObject`, `Serializable`, `Cloneable`, `Runnable`, `Callable<Void>`, `Consumer<T>`

Enclosing class:
  Closures

public static class Closures.ConsumerClosure<T> extends Closure<Void> implements Consumer<T>
Hybrid one-argument function that is both a `Closure` and a `Consumer`.

Since:
  6.0.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class groovy.lang.Closure

  `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(T t)`
  `Void`
  `call(Object arg)`
  Invokes the closure with given argument(s), returning any value if applicable.
  `Void`
  `call(Object... args)`
  Invokes the closure with given argument(s), returning any value if applicable.

  ### Methods inherited from class groovy.lang.Closure

  `additionalReferences, andThen, andThenSelf, andThenSelf, asWritable, call, checkForReferenceCycle, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, mopUnperturbed, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setMetaClass, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Consumer

  `andThen`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

- ## Method Details

  - ### accept

    public void accept(T t)
    Specified by:
      `accept` in interface `Consumer<T>`

  - ### call

    public Void call(Object arg)
    Description copied from class: `Closure`
    Invokes the closure with given argument(s), returning any value if applicable.
    Overrides:
      `call` in class `Closure<Void>`
    Parameters:
      `arg` - could be a single value or a List of values
    Returns:
      The value if applicable or null if there is no return statement in the closure.

  - ### call

    public Void call(Object... args)
    Description copied from class: `Closure`
    Invokes the closure with given argument(s), returning any value if applicable.
    Overrides:
      `call` in class `Closure<Void>`
    Returns:
      The value if applicable or null if there is no return statement in the closure.